summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatt Turner <mattst88@gentoo.org>2021-03-31 22:07:18 -0400
committerMatt Turner <mattst88@gentoo.org>2021-03-31 22:11:17 -0400
commit5c73fa41309e6155583d5619ac4a9f89af5c64cf (patch)
tree6487bede57cc4402441372a9faab23a9a70ed13a /dev-cpp/gtkmm
parentdev-cpp/glibmm: Version bump to 2.64.5 (diff)
downloadgentoo-5c73fa41309e6155583d5619ac4a9f89af5c64cf.tar.gz
gentoo-5c73fa41309e6155583d5619ac4a9f89af5c64cf.tar.bz2
gentoo-5c73fa41309e6155583d5619ac4a9f89af5c64cf.zip
dev-cpp/gtkmm: Version bump to 3.24.4
Signed-off-by: Matt Turner <mattst88@gentoo.org>
Diffstat (limited to 'dev-cpp/gtkmm')
-rw-r--r--dev-cpp/gtkmm/Manifest1
-rw-r--r--dev-cpp/gtkmm/gtkmm-3.24.4.ebuild59
2 files changed, 60 insertions, 0 deletions
diff --git a/dev-cpp/gtkmm/Manifest b/dev-cpp/gtkmm/Manifest
index 7435d63a858..b4cc7b34849 100644
--- a/dev-cpp/gtkmm/Manifest
+++ b/dev-cpp/gtkmm/Manifest
@@ -1,3 +1,4 @@
DIST gtkmm-2.24.5.tar.xz 12022024 BLAKE2B 6b2bca9fe6ad81cd956e1f3cc3140bc503b78386cf3931c8eeac08c8b2a08c73450bdbb703d1febaee67cdf834093ff5e89790f866357190822613a68a596ad3 SHA512 c50e52830977c37181439f4b82a30ac8bead0cf9022d2bec8225f8dc33e08414f863bf67056e1938fae8f888c09a5a6d757acc011fa9331a78caa6bb626dd51e
DIST gtkmm-3.24.2.tar.xz 13336236 BLAKE2B 93f3a04b8a2f02323bf6a1161c10eaae2ad9c26d0e235b1658fc7abbb8d48f67abc42739726c4b6657fa59b033b3708ad1428e629538ab5a6fd27590f5311f30 SHA512 c8f9f03d54006a729fdad7563d3be37aa180f9153c222314c1b8cfddc5ab417d184422a1d44f780574248ea52e679f1e360eac67e03f67d29ecf847c0ab19689
DIST gtkmm-3.24.3.tar.xz 13539040 BLAKE2B 24664773ec7b0666575346aa0532e8961fc19d965ef34244ed97707f7e3eb4d1d0f016abf733531269bf3e3201defe31559990e32f4f43faa8d3bb5d1f02fdb7 SHA512 e373807ec245057708655fa5dbf18d5391656a55b008fd6aa0fdc5a56e80d288813c3bbb0093f39aa7679df866a176f1e6b0e842d4d1b18b775a5928eed9fef5
+DIST gtkmm-3.24.4.tar.xz 13534708 BLAKE2B 7fb6e2851d1f73d42612b964d706d55060cbd18806bbefb800e2086706b973cae5296f31df48407d8f7ce80d6e503a5a79bcd54a9e1b86c8ecd6b113665f3255 SHA512 e3a10aed9cf2df7369b5dac3f1de000b006e08aef6f2d953d2faf2b023bd744ed4c9c2ad5221adc1b0c919bcdc966d0c1c9dc698694d8630ceba56e39f91ac26
diff --git a/dev-cpp/gtkmm/gtkmm-3.24.4.ebuild b/dev-cpp/gtkmm/gtkmm-3.24.4.ebuild
new file mode 100644
index 00000000000..e7e4f9df423
--- /dev/null
+++ b/dev-cpp/gtkmm/gtkmm-3.24.4.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit gnome.org meson multilib-minimal virtualx
+
+DESCRIPTION="C++ interface for GTK+"
+HOMEPAGE="https://www.gtkmm.org"
+
+LICENSE="LGPL-2.1+"
+SLOT="3.0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~x86-solaris"
+
+IUSE="aqua doc test wayland X"
+REQUIRED_USE="|| ( aqua wayland X )"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-cpp/atkmm-2.24.2:0[doc?,${MULTILIB_USEDEP}]
+ >=dev-cpp/cairomm-1.12.0:0[doc?,${MULTILIB_USEDEP}]
+ >=dev-cpp/glibmm-2.54.0:2[doc?,${MULTILIB_USEDEP}]
+ >=dev-cpp/pangomm-2.38.2:1.4[doc?,${MULTILIB_USEDEP}]
+ >=dev-libs/libsigc++-2.3.2:2[doc?,${MULTILIB_USEDEP}]
+ >=media-libs/libepoxy-1.2[${MULTILIB_USEDEP}]
+ >=x11-libs/gdk-pixbuf-2.35.5:2[${MULTILIB_USEDEP}]
+ >=x11-libs/gtk+-3.24.0:3[aqua?,wayland?,X?,${MULTILIB_USEDEP}]
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ virtual/pkgconfig
+ doc? (
+ app-doc/doxygen[dot]
+ dev-lang/perl
+ dev-libs/libxslt
+ )
+"
+
+multilib_src_configure() {
+ local emesonargs=(
+ -Dbuild-atkmm-api=true
+ -Dbuild-demos=false
+ -Dbuild-documentation=$(multilib_native_usex doc true false)
+ -Dbuild-tests=$(usex test true false)
+ -Dbuild-x11-api=$(usex X true false)
+ )
+ meson_src_configure
+}
+
+multilib_src_compile() {
+ meson_src_compile
+}
+
+multilib_src_install() {
+ meson_src_install
+}
+
+multilib_src_test() {
+ virtx meson_src_test
+}